## fling 1.1

=== Makefile ===
CFLAGS += -O2 -Wall -Wextra -pedantic -std=c99 -lm -lrt
CC ?= gcc
INSTALL ?= install
DESTDIR ?=
prefix ?= /usr
exec_prefix ?= $(prefix)
bindir = $(exec_prefix)/bin

fling: fling.c
	$(CC) -o fling $(CFLAGS) fling.c

clean:
	rm -f fling

check: fling
	./smoke-test

install:
	$(INSTALL) -m 0755 -t "$(DESTDIR)/$(bindir)" -D fling

=== debian/changelog ===
fling (1.1-3) unstable; urgency=medium

  * Fix FTBFS due to -Wl,--as-needed. (Closes: #972799)
    - Thanks to Helmut Grohne for the patch.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 25 Oct 2020 18:44:03 +0000

fling (1.1-2) unstable; urgency=medium

  * Source only upload.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 20 Oct 2020 10:28:04 +0100

fling (1.1-1) unstable; urgency=medium

  * Initial release (Closes: #968959)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 28 Aug 2020 21:45:12 +0100

=== debian/control ===
Source: fling
Section: net
Priority: optional
Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Homepage: https://github.com/rjek/fling
Vcs-Browser: https://salsa.debian.org/sudip/fling
Vcs-Git: https://salsa.debian.org/sudip/fling.git

Package: fling
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Transfer data from stdin over network to destination quickly
 fling transfers data quickly over a trusted network. It does not encrypt
 the data. It tries to avoid copying data between kernel and userspace
 where it can. The most improvement over other tools like netcat is seen
 on systems with low memory bandwidth. fling is extremely Linux-specific,
 as almost all the optimisations used beyond what other similar tools do
 are non-portable.

=== debian/tests/control ===
Tests: upstream-tests
Depends: @

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%fling-$1.tar.gz%" \
   https://github.com/rjek/fling/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
